HanMacWrdJTextInternal::Token Struct Reference

Internal: class to store a token of a HanMacWrdJText. More...

## Public Member Functions

| Token ()
| constructor

## Public Attributes

int | m_type
| the token type
long | m_id
| the id ( to be send)
int | m_localId
| the local id
std::string | m_bookmark
| the bookmark string
int | m_length
| the token length in caller text
std::string | m_extra
| extra string string

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tk)
| operator<<

## Detailed Description

Internal: class to store a token of a HanMacWrdJText.

## Constructor & Destructor Documentation

## Token()

HanMacWrdJTextInternal::Token::Token | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tk )

friend

operator<<

## Member Data Documentation

## m_bookmark

std::string HanMacWrdJTextInternal::Token::m_bookmark

the bookmark string

Referenced by operator<<, and Token().

## m_extra

std::string HanMacWrdJTextInternal::Token::m_extra

extra string string

Referenced by operator<<, HanMacWrdJText::readTextToken(), and Token().

## m_id

long HanMacWrdJTextInternal::Token::m_id

the id ( to be send)

Referenced by operator<<, HanMacWrdJText::readTextToken(), and Token().

## m_length

int HanMacWrdJTextInternal::Token::m_length

the token length in caller text

Referenced by operator<<, HanMacWrdJText::readTextToken(), and Token().

## m_localId

int HanMacWrdJTextInternal::Token::m_localId

the local id

Referenced by operator<<, HanMacWrdJText::readTextToken(), and Token().

## m_type

int HanMacWrdJTextInternal::Token::m_type

the token type

Referenced by operator<<, HanMacWrdJText::readTextToken(), and Token().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx